Skip to main content

High Availability Public Cloud Co - Update

Use PATCH to change selected fields on an Azure Public High Availability cloud connector. The endpoint also supports PUT with the same request schema; the Swagger does not define additional semantic differences between the two methods.

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

URI Parameters​

NameInRequiredTypeDescription
projectIdpathtruestringThe project identifier which uniquely identify your project in Evolution Platform.
idpathtruestringThe Cloud Connector Identifier which uniquely identify your Cloud connector in Evolution Platform.

Request Body​

NameRequiredTypeDescription
namefalsestringCloud connector name.
statefalsestringCloud connector state. Allowed values: DESIGNING, DESIGNED, BOOKING, RESERVED, PROVISIONING, ACTIVE, STOPPING, SUSPENDING, INACTIVE, REPAIRING, TERMINATED, ERROR.
technicalVpnIdfalsestring (UUID)Identifier of the network connector.
azureCredentialIdfalsestring (UUID)Identifier of the Azure credential used to manage the connector in Azure.
customerPurchaseOrderNumberfalsestringCustomer purchase order number.
externalBillingReffalsestringExternal billing reference.
bandwidthfalseinteger (int32)Cloud connector bandwidth.
maxBandwidthfalseinteger (int32)Maximum cloud connector bandwidth.
primaryPopLocalizationfalsestringPrimary point-of-presence localization.
azureRegionfalsestringAzure region.
resourceGroupNamefalsestringAzure resource group name.
vnetNamefalsestringVirtual network name.
azureGatewaySubnetfalsestringAzure gateway subnet.
azureAsnfalseinteger (int64)Azure autonomous system number.
networkSideAsnfalseinteger (int64)Network-side autonomous system number.
secondaryPopLocalizationfalsestringSecondary point-of-presence localization.
networkSideGatewaySubnetPrimaryfalsestringNetwork-side gateway subnet for the primary point of presence.
networkSideGatewaySubnetSecondaryfalsestringNetwork-side gateway subnet for the secondary point of presence.

Responses​

NameTypeDescription
200 OKSuccessful operation
Other Status CodesError responseError response describing why the operation failed.

Security​

Type: HTTP Bearer

Token format: JWT

Header: Authorization: Bearer YOUR_ACCESS_TOKEN

Examples​

Update from designed to active state​

Request​

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

{
"state": "ACTIVE"
}

Response​

HTTP 200
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "PROVISIONING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "PO1",
"secondaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnetPrimary":"59.23.124.12/29",
"networkSideGatewaySubnetSecondary":"59.23.125.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The Swagger does not specify how long a state change takes or describe the transition sequence. Use the Get guide to retrieve the current connector state.

Go to Get tutorial to check the status of the cloud connector:

Update from active to designed state​

Request​

PATCH https://ope-obs.apibackbone.orange.com/evolutionplatform/azure/api/v1/projects/{projectId}/azure/cloudconnectors/publichadynamics/{id}

{
"state": "DESIGNED"
}

Response​

HTTP 200
Content: application/json

{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Connection to PARIS",
"state": "STOPPING",
"projectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"bandwidth": 50,
"technicalVpnId": "93b22b3c-fd7e-4c04-87cb-52df45fe6beb",
"azureCredentialId": "b1c3d7b8-f249-4a25-9f26-02682bbad4f3",
"primaryPopLocalization": "PO1",
"secondaryPopLocalization": "POP4",
"azureRegion": "northeurope",
"resourceGroupName": "rg-3",
"vnetName": "vnet-02",
"azureGatewaySubnet": "69.45.47.145/27",
"azureAsn": 64512,
"networkSideAsn": 64513,
"networkSideGatewaySubnetPrimary":"59.23.124.12/29",
"networkSideGatewaySubnetSecondary":"59.23.125.12/29",
"workflowExecutionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflowExecutionStatus": "CREATED"
}

The Swagger does not specify how long a state change takes or describe the transition sequence. Use the Get guide to retrieve the current connector state.

Go to Get tutorial to check the status of the cloud connector: